Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039747
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2018-09-06 11:462018-12-13 08:17
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision405b5ad065bf
ProjectionnoneETAnoneTarget VersionRR18Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039747: payment method has been deactivated when there is a cashup open, and sales were done in this payment method

DescriptionCurrently it's possible to disable a payment method for a Terminal, even if there is currently a cashup open, and sales were done for this payment method.

This will then lead to problems when trying to process the cashup.
Steps To Reproduce[POS]
. login
. do sales withi payment method "cash"

[BO]
. deactivate payment method "Cash" of this terminal

[POS]
- refresh web pos, and then do cashup
- notice the cashup went to errors while importing
Proposed SolutionIt should not be possible to disable the payment method of a terminal, if the terminal has an open cashup, and contains sales for this payment method.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039236 closedranjith_qualiantech_com payment method has been deactivated when there is a cashup open, and sales were done in this payment method 

-  Notes
(0108570)
hgbot (developer)
2018-12-13 08:05

Repository: retail/backports/3.0RR18Q3.4/pi-mobile
Changeset: a974317d56ca3f5b45b5163c5e2e414b0637706c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:16:58 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.4/pi-mobile/rev/a974317d56ca3f5b45b5163c5e2e414b0637706c [^]

Verifies issue 39747 : Modified Test "I35320_VerifyLayawayButtonEnabled"

* Modified Test I35320_VerifyLayawayButtonEnabled, I34663_ExcludePaymentsNotActive
* Before deactivating the payment method, Cashup should be done

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I35320_VerifyLayawayButtonEnabled.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sampledata/I34663_ExcludePaymentsNotActive.java
---
(0108575)
ranjith_qualiantech_com (developer)
2018-12-13 08:16

Repository: retail/backports/3.0RR18Q3.4/org.openbravo.retail.posterminal
Changeset: f94cacfba0785d5141725f49f139f5be183784da
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:15:15 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.4/org.openbravo.retail.posterminal/rev/f94cacfba0785d5141725f49f139f5be183784da [^] [^]

Fixed issue 39747 : Added Event Handler for Payment Method to check cashup is processed

* Added Event Handler for payment method while deactivating or removing it.
* Payment method can be deactivated or removed only when Cashup should be processed for all terminals

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/event/PaymentMethodTypeEventHandler.java

- Issue History
Date Modified Username Field Change
2018-12-04 12:57 marvintm Type defect => backport
2018-12-04 12:57 marvintm Target Version => RR18Q3.4
2018-12-13 08:05 hgbot Checkin
2018-12-13 08:05 hgbot Note Added: 0108570
2018-12-13 08:16 ranjith_qualiantech_com Note Added: 0108575
2018-12-13 08:17 ranjith_qualiantech_com Status scheduled => resolved
2018-12-13 08:17 ranjith_qualiantech_com Resolution open => fixed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker